Retrieve a listener property

- « openal_device_open

- openal_listener_set »

- PHP Manual
- OpenAL Functions
- Retrieve a listener property

# openal_listener_get

(PECL openal >= 0.1.0)

openal_listener_get — Retrieve a listener property

### Description

openal_listener_get(int `$property`): mixed

### Parameters

`property`

  Property to retrieve, one of: `AL_GAIN` (float), `AL_POSITION` (array(float,float,float)), `AL_VELOCITY` (array(float,float,float)) and `AL_ORIENTATION` (array(float,float,float)).

### Return Values

Returns a float or array of floats (as appropriate) or `false` on failure.

### See Also

- openal_listener_set() - Set a listener property